from django.db import models

# Create your models here.
class GameModel(models.Model):

	finished = models.BooleanField(default=False)
	started = models.BooleanField(default=False)
	winner_id = models.IntegerField(default=-1)
	
	def create(self, users_id: [int]):
		self.save()
		for user_id in users_id:
			GameMembersModel(game_id=self.pk, member_id=user_id).save()
		return self.pk
	
	def get_users(self):
		return list(GameMembersModel.objects.filter(self.pk))

class GameMembersModel(models.Model):
	game_id = models.IntegerField()
	member_id = models.IntegerField()